using UnityEngine;

namespace AsteroidGame.Entities
{
    [CreateAssetMenu(fileName = "newTargeterConfiguration", menuName = "Configuration/Targeter")]
    public class SoTargeterConfig : ScriptableObject
    {
        public float _range;
        public TargetStrategy _selectedTargetStrategy;
        public SoEntityBaseRuntimeSet _activeEntities;

        public enum TargetStrategy
        {
            LowestRange,
            LowestHealth
        };
    }
}